Package skyview.geometry.csys

# Class PositionAngleConverter

java.lang.Object
skyview.geometry.csys.PositionAngleConverter

public class PositionAngleConverter extends Object
This class implements an algorithm that calculates the offsets between the position angle expressed with respect to the poles in two different coordinate systems. If we transform between coordinate systems we are likely to want to express position angles with reference to the poles in the new coordinates, rather than the pole in the old coordinate system.

## Constructor Summary

Constructors
Constructor
Description
`PositionAngleConverter(CoordinateSystem input, CoordinateSystem output)`

## Method Summary

Modifier and Type
Method
Description
`double`
`getOffsetAngle(double[] unitIn)`
Calculate the offset between the position angles in the two coordinate systems at the point defined by the input unit vector (presumed to be in the input coordinate system).
`static void`
`main(String[] args)`
Main program for testing.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### PositionAngleConverter

public PositionAngleConverter(CoordinateSystem input, CoordinateSystem output) throws TransformationException

Throws:
  `TransformationException`

## Method Details

### main

public static void main(String[] args) throws Exception
Main program for testing. Usage: PositionAngleConverter -- Defaults to J2000 to Galactic or PositionAngleConverter output -- input defaults to J2000 or PositionAngleConverter input output

Throws:
  `Exception`

### getOffsetAngle

public double getOffsetAngle(double[] unitIn)
Calculate the offset between the position angles in the two coordinate systems at the point defined by the input unit vector (presumed to be in the input coordinate system).